<!-- HTML header for doxygen 1.8.9.1-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>OpenThread: Namespace Members</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="Open-Thread-Logo-200x42.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">
   &#160;<span id="projectnumber">gddd0704</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="namespaces.html"><span>Namespace&#160;List</span></a></li>
      <li class="current"><a href="namespacemembers.html"><span>Namespace&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="navrow3" class="tabs2">
    <ul class="tablist">
      <li><a href="namespacemembers.html"><span>All</span></a></li>
      <li><a href="namespacemembers_func.html"><span>Functions</span></a></li>
      <li><a href="namespacemembers_enum.html"><span>Enumerations</span></a></li>
      <li class="current"><a href="namespacemembers_eval.html"><span>Enumerator</span></a></li>
    </ul>
  </div>
  <div id="navrow4" class="tabs3">
    <ul class="tablist">
      <li class="current"><a href="#index_k"><span>k</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('namespacemembers_eval.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
&#160;

<h3><a class="anchor" id="index_k"></a>- k -</h3><ul>
<li>kAdvertiseIntervalMax
: <a class="el" href="d2/dd4/namespaceThread_1_1Mle.html#a1f47251fa36b57c412cc091444be9489a751a76efecf5c19eb6d23ec3143ece2a">Thread::Mle</a>
</li>
<li>kAdvertiseIntervalMin
: <a class="el" href="d2/dd4/namespaceThread_1_1Mle.html#a1f47251fa36b57c412cc091444be9489aecc6c91bedc75b7ae8d9fdbde755299c">Thread::Mle</a>
</li>
<li>kDeviceStateChild
: <a class="el" href="df/d94/group__core-mle-core.html#ggabe714234641548ea1768d032cd89f2eaaa75f4fec564a007a4d40e1c085ba9cb1">Thread::Mle</a>
</li>
<li>kDeviceStateDetached
: <a class="el" href="df/d94/group__core-mle-core.html#ggabe714234641548ea1768d032cd89f2eaafcf4b80cae20cb71e0db5b236f11d404">Thread::Mle</a>
</li>
<li>kDeviceStateDisabled
: <a class="el" href="df/d94/group__core-mle-core.html#ggabe714234641548ea1768d032cd89f2eaa5c841056790325c8be1bacaf6b0c1167">Thread::Mle</a>
</li>
<li>kDeviceStateLeader
: <a class="el" href="df/d94/group__core-mle-core.html#ggabe714234641548ea1768d032cd89f2eaab2cd9fd4044b649cc1755a711ed06fcf">Thread::Mle</a>
</li>
<li>kDeviceStateRouter
: <a class="el" href="df/d94/group__core-mle-core.html#ggabe714234641548ea1768d032cd89f2eaa583378afe418b287da014f00e44e148a">Thread::Mle</a>
</li>
<li>kEscapeSequence
: <a class="el" href="d5/d0a/namespaceThread_1_1Hdlc.html#a831d0a1e171829b5c423ac307d5a3efba5044e4d97c3e4f8d1a32fa6a40220415">Thread::Hdlc</a>
</li>
<li>kFailedChildTransmissions
: <a class="el" href="d2/dd4/namespaceThread_1_1Mle.html#ac37aa0658c99897c1c7eeb6460188a54a7154628bb4cc9047fe71adbb1e164fd3">Thread::Mle</a>
</li>
<li>kFailedRouterTransmissions
: <a class="el" href="d2/dd4/namespaceThread_1_1Mle.html#a1f47251fa36b57c412cc091444be9489a7fc18ebf540ca008d536921d9eb0f91a">Thread::Mle</a>
</li>
<li>kFlagSequence
: <a class="el" href="db/d33/namespaceThread_1_1Flen.html#a68065768924455da97e5108b2f372830a7044aeb849efb2912d21f2a467723a6f">Thread::Flen</a>
, <a class="el" href="d5/d0a/namespaceThread_1_1Hdlc.html#a831d0a1e171829b5c423ac307d5a3efba5af16886bb86eaff173a64054e81a701">Thread::Hdlc</a>
</li>
<li>kGoodFcs
: <a class="el" href="d5/d0a/namespaceThread_1_1Hdlc.html#aaf9a0c22b81ef1a8ae4f8b8fcd29a4bba1c273ac77bd5e60c652a28eee8f89bde">Thread::Hdlc</a>
</li>
<li>kInitFcs
: <a class="el" href="d5/d0a/namespaceThread_1_1Hdlc.html#aaf9a0c22b81ef1a8ae4f8b8fcd29a4bbaeb0f58170f5295af67ee0c11d84333b5">Thread::Hdlc</a>
</li>
<li>kInvalidRouterId
: <a class="el" href="d2/dd4/namespaceThread_1_1Mle.html#a1f47251fa36b57c412cc091444be9489afd258f9833b61838dc962e7125d3768d">Thread::Mle</a>
</li>
<li>kLeaderWeight
: <a class="el" href="d2/dd4/namespaceThread_1_1Mle.html#a1f47251fa36b57c412cc091444be9489acc08cf7c4fb9b12332d0900b16369f0a">Thread::Mle</a>
</li>
<li>kLqi0LinkCost
: <a class="el" href="d2/dd4/namespaceThread_1_1Mle.html#a9a9912acd88a0a1f10a7100ea111c965ad9e60a4de8175307a167e786654e27ac">Thread::Mle</a>
</li>
<li>kLqi1LinkCost
: <a class="el" href="d2/dd4/namespaceThread_1_1Mle.html#a9a9912acd88a0a1f10a7100ea111c965a82a0f6fe39df2c2af88768d7d97e5771">Thread::Mle</a>
</li>
<li>kLqi2LinkCost
: <a class="el" href="d2/dd4/namespaceThread_1_1Mle.html#a9a9912acd88a0a1f10a7100ea111c965a2b315807d13c6b1619fc530f83cc7f27">Thread::Mle</a>
</li>
<li>kLqi3LinkCost
: <a class="el" href="d2/dd4/namespaceThread_1_1Mle.html#a9a9912acd88a0a1f10a7100ea111c965ac63bff88aaab44649b5621a737256712">Thread::Mle</a>
</li>
<li>kMaxChildId
: <a class="el" href="d2/dd4/namespaceThread_1_1Mle.html#a8f706bed426143cd8434d4f805b90e9fa8e6d7ee7bc3bfec51fa361fe22251de0">Thread::Mle</a>
</li>
<li>kMaxChildKeepAliveAttempts
: <a class="el" href="d2/dd4/namespaceThread_1_1Mle.html#ac37aa0658c99897c1c7eeb6460188a54af93b6d0776e8e9ba371e3cd84ecdc1f0">Thread::Mle</a>
</li>
<li>kMaxLeaderToRouterTimeout
: <a class="el" href="d2/dd4/namespaceThread_1_1Mle.html#a1f47251fa36b57c412cc091444be9489a1b888db6340adc6e590337831de7f23c">Thread::Mle</a>
</li>
<li>kMaxNeighborAge
: <a class="el" href="d2/dd4/namespaceThread_1_1Mle.html#a1f47251fa36b57c412cc091444be9489a2c5d878ab806287c1f40acd05adba8aa">Thread::Mle</a>
</li>
<li>kMaxResponseDelay
: <a class="el" href="d2/dd4/namespaceThread_1_1Mle.html#ab038e2552c2f0bce0e142d3f64f16c45ac82c972c4d6200155f2d0a6bf21b47ef">Thread::Mle</a>
</li>
<li>kMaxRouteCost
: <a class="el" href="d2/dd4/namespaceThread_1_1Mle.html#a1f47251fa36b57c412cc091444be9489ac6098268ee233927c83e0decd8cedec8">Thread::Mle</a>
</li>
<li>kMaxRouterId
: <a class="el" href="d2/dd4/namespaceThread_1_1Mle.html#a1f47251fa36b57c412cc091444be9489a1fe8b460a7e0b570b11e234a74d02d2e">Thread::Mle</a>
</li>
<li>kMaxRouters
: <a class="el" href="d2/dd4/namespaceThread_1_1Mle.html#a1f47251fa36b57c412cc091444be9489a2866744d0f8a8b355b11aef745d48870">Thread::Mle</a>
</li>
<li>kMinAssignedLinkMargin0
: <a class="el" href="d2/dd4/namespaceThread_1_1Mle.html#ab915f54414683cc4c75d1a0c1eaba3d9aec9fd8c921f484c7e495048919701c3c">Thread::Mle</a>
</li>
<li>kMinAssignedLinkMargin1
: <a class="el" href="d2/dd4/namespaceThread_1_1Mle.html#ab915f54414683cc4c75d1a0c1eaba3d9af66d916ecf2940e517e1bfd44e43acee">Thread::Mle</a>
</li>
<li>kMinAssignedLinkMargin2
: <a class="el" href="d2/dd4/namespaceThread_1_1Mle.html#ab915f54414683cc4c75d1a0c1eaba3d9a1e4caa636662482aaeaa0e25fc2e1fbe">Thread::Mle</a>
</li>
<li>kMinAssignedLinkMargin3
: <a class="el" href="d2/dd4/namespaceThread_1_1Mle.html#ab915f54414683cc4c75d1a0c1eaba3d9aee9852dc483de72d358823d7559ccebf">Thread::Mle</a>
</li>
<li>kMinChildId
: <a class="el" href="d2/dd4/namespaceThread_1_1Mle.html#a8f706bed426143cd8434d4f805b90e9fa74e26dbae33bcc35744a3e0cde1f5564">Thread::Mle</a>
</li>
<li>kMinDowngradeNeighbors
: <a class="el" href="d2/dd4/namespaceThread_1_1Mle.html#a1f47251fa36b57c412cc091444be9489a8b27ee31483551c43e9aafafbad6cd8b">Thread::Mle</a>
</li>
<li>kMleEndDeviceTimeout
: <a class="el" href="d2/dd4/namespaceThread_1_1Mle.html#a1f47251fa36b57c412cc091444be9489a1c86e993154758429934e7c37e2e6e0c">Thread::Mle</a>
</li>
<li>kNetworkIdTimeout
: <a class="el" href="d2/dd4/namespaceThread_1_1Mle.html#a1f47251fa36b57c412cc091444be9489ad7a72f6bda571947360216ca9257c4b9">Thread::Mle</a>
</li>
<li>kParentRequestChildTimeout
: <a class="el" href="d2/dd4/namespaceThread_1_1Mle.html#ab038e2552c2f0bce0e142d3f64f16c45a0de26cd3b9ea6aeaf9b14124011330e7">Thread::Mle</a>
</li>
<li>kParentRequestRouterTimeout
: <a class="el" href="d2/dd4/namespaceThread_1_1Mle.html#ab038e2552c2f0bce0e142d3f64f16c45aea875cca5054263adf76a845fad016a7">Thread::Mle</a>
</li>
<li>kParentResponseMaxDelayAll
: <a class="el" href="d2/dd4/namespaceThread_1_1Mle.html#ab038e2552c2f0bce0e142d3f64f16c45a069e8316fe7291da3c783a33ac9750ab">Thread::Mle</a>
</li>
<li>kParentResponseMaxDelayRouters
: <a class="el" href="d2/dd4/namespaceThread_1_1Mle.html#ab038e2552c2f0bce0e142d3f64f16c45a739a6bf12c1359f3bbb952e82ea489b4">Thread::Mle</a>
</li>
<li>kParentRouteToLeaderTimeout
: <a class="el" href="d2/dd4/namespaceThread_1_1Mle.html#a1f47251fa36b57c412cc091444be9489a3f1506c4fe171b6fe0cad222e57cecfd">Thread::Mle</a>
</li>
<li>kProtoDstOpts
: <a class="el" href="d9/dcf/group__core-ip6-ip6.html#gga83d94b02a618038e1534f9e12001d095a9a9bdec4b2e2dbdba704f98b03ff791c">Thread::Ip6</a>
</li>
<li>kProtoFragment
: <a class="el" href="d9/dcf/group__core-ip6-ip6.html#gga83d94b02a618038e1534f9e12001d095ae8a7a32c56a41a5bd607c3f422a73a4a">Thread::Ip6</a>
</li>
<li>kProtoHopOpts
: <a class="el" href="d9/dcf/group__core-ip6-ip6.html#gga83d94b02a618038e1534f9e12001d095af0cabc58472c62cd7c323ca2af1fce27">Thread::Ip6</a>
</li>
<li>kProtoIcmp6
: <a class="el" href="d9/dcf/group__core-ip6-ip6.html#gga83d94b02a618038e1534f9e12001d095a77d8b7ed49764996c78218ac407b3be2">Thread::Ip6</a>
</li>
<li>kProtoIp6
: <a class="el" href="d9/dcf/group__core-ip6-ip6.html#gga83d94b02a618038e1534f9e12001d095a6e7be0e85d196b143588cbae5b530ad8">Thread::Ip6</a>
</li>
<li>kProtoNone
: <a class="el" href="d9/dcf/group__core-ip6-ip6.html#gga83d94b02a618038e1534f9e12001d095aab937e13981c7f13f0dd8303eef12dfe">Thread::Ip6</a>
</li>
<li>kProtoRouting
: <a class="el" href="d9/dcf/group__core-ip6-ip6.html#gga83d94b02a618038e1534f9e12001d095a80a47e9bf04b6638f4e6c030145ead72">Thread::Ip6</a>
</li>
<li>kProtoTcp
: <a class="el" href="d9/dcf/group__core-ip6-ip6.html#gga83d94b02a618038e1534f9e12001d095a1c4f58f46e88646807462a0c0ef25d48">Thread::Ip6</a>
</li>
<li>kProtoUdp
: <a class="el" href="d9/dcf/group__core-ip6-ip6.html#gga83d94b02a618038e1534f9e12001d095a083b654658383200cb8576ae7c8df190">Thread::Ip6</a>
</li>
<li>kReedAdvertiseInterval
: <a class="el" href="d2/dd4/namespaceThread_1_1Mle.html#a1f47251fa36b57c412cc091444be9489ae3ffa1cccfe57b083a7674dd8a9ca12b">Thread::Mle</a>
</li>
<li>kReedAdvertiseJitter
: <a class="el" href="d2/dd4/namespaceThread_1_1Mle.html#a1f47251fa36b57c412cc091444be9489ab3c33493cd2fec7fa985e73a04a1bb78">Thread::Mle</a>
</li>
<li>kRlocPrefixLength
: <a class="el" href="d2/dd4/namespaceThread_1_1Mle.html#a8f706bed426143cd8434d4f805b90e9fa869d38c930e5871e19b033d3d38278f6">Thread::Mle</a>
</li>
<li>kRouterDowngradeThreshold
: <a class="el" href="d2/dd4/namespaceThread_1_1Mle.html#a1f47251fa36b57c412cc091444be9489a5398f0bd3c33f836f7d70775f9278455">Thread::Mle</a>
</li>
<li>kRouterIdOffset
: <a class="el" href="d2/dd4/namespaceThread_1_1Mle.html#a8f706bed426143cd8434d4f805b90e9fa22e398ba830be5b997eac8f51411e718">Thread::Mle</a>
</li>
<li>kRouterIdReuseDelay
: <a class="el" href="d2/dd4/namespaceThread_1_1Mle.html#a1f47251fa36b57c412cc091444be9489a1ae4d8c36613d3944b8874bcf8f3e3ea">Thread::Mle</a>
</li>
<li>kRouterIdSequencePeriod
: <a class="el" href="d2/dd4/namespaceThread_1_1Mle.html#a1f47251fa36b57c412cc091444be9489a1b80d71769c3d638bfd236c5e1fd629a">Thread::Mle</a>
</li>
<li>kRouterSelectionJitter
: <a class="el" href="d2/dd4/namespaceThread_1_1Mle.html#a1f47251fa36b57c412cc091444be9489ae16987ce1c7b14d666380e30e67efc97">Thread::Mle</a>
</li>
<li>kRouterUpgradeThreshold
: <a class="el" href="d2/dd4/namespaceThread_1_1Mle.html#a1f47251fa36b57c412cc091444be9489a85d976cab925fe3e52a5484e96a9bb36">Thread::Mle</a>
</li>
<li>kUdpPort
: <a class="el" href="d2/dd4/namespaceThread_1_1Mle.html#ab038e2552c2f0bce0e142d3f64f16c45a13496501bf156c89f47261cb44082951">Thread::Mle</a>
</li>
<li>kVersion
: <a class="el" href="d2/dd4/namespaceThread_1_1Mle.html#ab038e2552c2f0bce0e142d3f64f16c45a12761a24a3a373f9ad230279c3a697fe">Thread::Mle</a>
</li>
<li>kVersionClassFlowSize
: <a class="el" href="d9/dcf/group__core-ip6-ip6.html#gga09c02298ae6967b7fdc12c3661d10458ad1d2d0978672bdd1d726aec91129404e">Thread::Ip6</a>
</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated on Fri Oct 14 2016 08:44:37 for OpenThread by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
